# モジュール宣言/変数初期化
use strict;
my %cf;
#┌─────────────────────────────────
#│ Web Scheduler : init.cgi - 2022/03/28
#│ copyright (c) kentweb, 1997-2022
#│ https://www.kent-web.com/
#└─────────────────────────────────
$cf{version} = 'WebScheduler v4.1';
#┌─────────────────────────────────
#│ [注意事項]
#│ 1. このプログラムはフリーソフトです。このプログラムを使用した
#│    いかなる損害に対して作者は一切の責任を負いません。
#│ 2. 設置に関する質問はサポート掲示板にお願いいたします。
#│    直接メールによる質問は一切お受けいたしておりません。
#└─────────────────────────────────
# REBUILD(改造)
#┌─────────────────────────────────
#│  WebScheduler v4.1 - 2022/03/28
#│  Edited by TRANSFORM Since 2012
#│  https://www.transformsite.com/
#└─────────────────────────────────

#===========================================================
# ■ 基本設定
#===========================================================

# 書き込みパスワード（英数字で8文字以内）
$cf{password} = '0123';

# タイトル
$cf{title} = 'WebScheduler v4.1';

# 本体CGIプログラム【URLパス】
$cf{index_cgi} = './schedule.cgi';

# 戻り先【URLパス】
$cf{homepage} = '../index.html';

# 通番ファイル【サーバパス】
$cf{numfile} = './data/num.dat';

# ログファイルディレクトリ【サーバパス】
$cf{logdir} = './data/log';

# テンプレートディレクトリ【サーバパス】
$cf{tmpldir} = './tmpl';

# アップロードディレクトリ
# → 順に、サーバパス、URLパス
$cf{upldir} = './upl';
$cf{uplurl} = './upl';

# 共通ディレクトリ【URLパス】
$cf{cmnurl} = './cmn';

# アイコンディレクトリ【URLパス】
$cf{iconurl} = "./cmn/icon";

# 一般アイコン
# → 「ファイル名」とその「キャラクタ名」をコンマで区切る
$cf{general_ico} = [
	'blank.gif,アイコンなし',
	'pencil01-007s.gif,タスク',
	'shopbasket.gif,お買物',
	'dust.gif,ゴミ収集日',
	'cafe-1.gif,コーヒ－',
	'tv01.gif,TV',
	'burger02.gif,バーガー',
	'f-potato02.gif,フライドポテト',
	'susi_0803.gif,お寿司',
	'curry02.gif,カレー',
	'cafe-23.gif,ドリンク',
	'bier02.gif,ビール',
	'keki-32.gif,ケーキ（おやつ）',
	'valentine.gif,バレンタイン',
	'ch8.gif,プレゼント',
	'mittbat6.gif,野球',
	'basknet01.gif,バスケット',
	'tennisracke.gif,テニス',
	'bowring_pin01.gif,ボーリング',
	'golfclu301.gif,ゴルフ',
	'pingpon601.gif,卓球',
	'003.gif,お花見',
	'Airplane.gif,旅行（海外）',
	'train01.gif,旅行（国内）',
	'denwa16.gif,携帯電話',
	'movie.gif,映画',
	'pc01.gif,PC01',
	'pc02.gif,PC02',
	'car-11.gif,救急車',
	'hospital02.gif,病院',
	'hospital04.gif,診療所',
	'post05.gif,ポスト',
	'car02.gif,カー①',
	'car-90.gif, カー②',
	'bus001.gif,バス',
	'taxi01.gif,タクシー',
	'conveni01.gif,コンビニ',
	'15.gif,宅急便',
	'jitensya02.gif,自転車',
	'school_02.gif,スクール',
	'shop01.gif,店舗',
	'oni02.gif,節分（鬼）',
	'momiji_01.gif,もみじ',
	'Festival.png,祭り',
	'jack_a_09.gif,ハロウィーン',
	'hane01.gif,正月（羽）',
	'kadomatu02.gif,正月（門松）',
	'ka_moti02.gif,正月（鏡餅）',
	'santa03.gif,サンタ',
	'c_tree02.gif,ツリーa',
	'yu-72.gif,ツリーb',
	'xmas_bell02.gif,ベル',
	'reform01s.gif,リフォーム',
	'dvd.png,DVD発売日',
	'bluray.png,Bluray発売日',
	];

# 文字色の設定
# →　スペースで区切る
$cf{colors} = '#666666 #808080 #C0C0C0 #80B3DE #398ED9 #8d93c8 #6c2463 #a688bd #98605e #ea5550 #da81b2 #e3acae #FF9966 #f39800 #79c06e #417038';

# カレンダーの色指定
# → 順に、日～土、祝日、本日
$cf{wkcol} = [
	'red',
	'black',
	'black',
	'black',
	'black',
	'black',
	'blue',
	'#d83473',
	'#feefcc',
	];

# 週表示
$cf{week} = ['日','月','火','水','木','金','土'];

# 最大受理サイズ
$cf{maxdata} = 5120000;

# 添付用アイコン定義
$cf{icon} = {
		xls  => 'excel.png',
		xlsx => 'excel.png',
		doc  => 'word.png',
		docx => 'word.png',
		ppt  => 'ppt.png',
		pptx => 'ppt.png',
		pdf  => 'pdf.png',
		zip  => 'zip.png',
		};

#===========================================================
# ■ 設定完了
#===========================================================

# 設定値を返す
sub set_init { return %cf; }


1;

